module SmartHR::Client::BankAccountSettingMethods
  # Get the list of bank account settings
  #
  # @see https://developer.smarthr.jp/api/index.html#!/%E5%8F%A3%E5%BA%A7%E6%83%85%E5%A0%B1/getV1BankAccountSettings
  #
  # @param page     [Integer]
  # @param per_page [Integer]
  #
  # @yield [response_body, response_header] if block was given, return response body and response header through block arguments
  # @yieldparam response_body [Array<Hashie::Mash>] response body
  # @yieldparam response_header [Hash<String, String>] response header (e.g. X-Rate-Limit-Limit, X-Rate-Limit-Reset, X-Rate-Limit-Remaining)
  #
  # @return [Array<Hashie::Mash>]
  def get_bank_account_settings(page: 1, per_page: 10, &block)
    get("/bank_account_settings",
      page: page,
      per_page: per_page,
      &block
    )
  end
end
